/* style.css */
/* Import Playfair Display font */
@import url('https://fonts.googleapis.com/css2?family=Playfair+Display:wght@400;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@400;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;700&display=swap');

/* General Page Styles */
body {
    font-family: 'Poppins', sans-serif;
    font-size: 16px;
    color: white; /* Changed from #333 to white */
    background-color: black; /* Added this line */
    margin: 0;
    padding: 1px 0px;
    text-align: center;
    padding-top: 0px;        /* Adjust to match header height */
}
/* Main Content Styling */
main {
    padding: 1px;
    margin-top: 1px;
    /* Adjust this value to match header height */
}
/* Header and Headings */
h1 {
    color: white;
    font-size: 28px;
    letter-spacing: 1px;
    font-weight: 700; /* Bold */
}

h2 {
    color: white; /* Changed from #444 */
    font-size: 20px;
    letter-spacing: 2px;
    line-height: 1.5;
    font-weight: 400; /* Normal */
    margin: 0 1cm;
}

/* Paragraph Styling */
p {
    text-align: center;
    line-height: 1.6;
}

/* Links */
a {
    text-decoration: none;
    color: #00ffff;/* Bright cyan for better contrast */
    font-weight: bold;
}

a:hover {
     color: #ff6600; /* Orange for hover */
}

/* Strong and Emphasized Text */
strong {
    font-weight: bold;
}

em {
    font-style: italic;
}


/* Navigation Styling */

nav {
    background-color: black;
    display: flex;
    justify-content: center;
    gap: 10px;
    padding: 10px 0;
    /* Add padding to give breathing room */
    margin: 0;
    /* Ensure no margin is creating a gap */
}

/* Buttons */
button {
    padding: 10px 15px;
    margin: 5px;
    background-color: #3498db;
    color: white;
    border: none;
    cursor: pointer;
    font-size: 20px;
    border-radius: 5px;
    font-family: 'Roboto', serif;
}

button:hover {
    background-color: #2980b9;

}
footer {
    background-color: black; /* Changed from white */
    color: white; /* Changed from #333 */
    text-align: center;
    padding: 10px;
    height: 60px;
    bottom: 0;
    width: 100%;
}

